jQuery(document).ready(function($) {
// =============================================================================
// VARIABLES
// =============================================================================
var $supermenu							= $('.supermenu');
var $superside							= $('.superside');
var $superside_toggler			= $('.superside-toggler');
var $body										= $('body');
var $navbar_fixed_top				= 'sm-navbar-fixed-top';
var $navHeight 							= $supermenu.height();
var $bodyHeight 						= $body.height();
var $navbar_collapse				= $('.sm-navbar-collapse');
var $navbar_collapse_height	= $navbar_collapse.height();

	
	$(function() {
		$('.tm-lines-button').on('click', function() {
			$(this).toggleClass('ssclose');
		});
	});
	
	$(function() {
		$('.smdropdown-togglenb').on('click', function() {
			$(this).parent().parent().toggleClass('open');
		});
	});
	
	$(function() {
		$('.supermenu.style_1 .sm-navbar-nav > .menu-item').animate({ minHeight: $navbar_collapse_height });
	});
	
	$(".menu-item-name:has(._mi)").parent().parent().addClass('is-social-icon');
	
	
// =============================================================================
// TOGGLE SEARCH
// =============================================================================
  $(function () {
    $('a[href="#smsearch"]').on('click', function(event) {
      event.preventDefault();
      $('#smsearch').addClass('open');
      $('#smsearch > form > input[type="search"]').focus();
    });
    $('#smsearch, #smsearch button.ssclose').on('click keyup', function(event) {
      if (event.target == this || event.target.className == 'ssclose' || event.keyCode == 27) {
        $(this).removeClass('open');
      }
    });
	});
	
	$(function () {
    $('.menu-item-has-children *').on('hover', function(event) {
      //event.preventDefault();
      //$('.menu-item-has-children a').toggleClass('rotate-icon');
      $('.menu-item-has-children > .sub-menu').toggleClass('show');
    });
    $('.menu-item-has-children *').on('hover', function(event) {
      if (event.target == this || event.target.className == '.menu-item-has-children *') {
        $(this).removeClass('show');
      }
    });
	});
	

// =============================================================================
// FIXED MENU
// =============================================================================	
	if (sm_fixed_menu == true) {
		if (sm_after_fixed_menu == 'fixed_basic') {
			$(function() {
				$supermenu.addClass($navbar_fixed_top);
			});
		}
		else if (sm_after_fixed_menu == 'visible_up') {
			$(function() {
				$supermenu.addClass($navbar_fixed_top);
			});
			var myElement = document.querySelector(".supermenu");
			var headroom  = new Headroom(myElement);
			headroom.init(); 
		}
		else if (sm_after_fixed_menu == 'hide_then_show') { 
			$body.animate({ paddingTop: 0 });
				$(window).scroll(function() {    
				var scroll = $(window).scrollTop();
				if (scroll >= sm_effect_triggerpoint) {
					$supermenu.addClass('sm-navbar-fixed-top animated fadeInDown');
			  } else {
			  	$supermenu.removeClass('sm-navbar-fixed-top fadeInDown');
				}
			});
		}
	}

// =============================================================================
// CHANGE TOPMENU COLOR, SIZE & LOGO
// =============================================================================		
	if (sm_change_color == true && sm_fixed_menu == true) { 
		$(window).scroll(function() {    
			var scroll = $(window).scrollTop();
			if (scroll >= sm_effect_triggerpoint) {
				$(".sm-navbar-brand-primary.img-logo").removeClass('logo-visible');
				$(".sm-navbar-brand-alt.img-logo").addClass('logo-visible');
				$(".sm-navbar-brand.text-logo").addClass('alt-color');
				$(".sm-navbar-brand img").removeClass('animated');
				$supermenu
					.addClass('change-color')
					.addClass(sm_menu_change_size);
		  } else {
				$(".sm-navbar-brand-primary.img-logo").addClass('logo-visible');
				$(".sm-navbar-brand-alt.img-logo").removeClass('logo-visible');
				$(".sm-navbar-brand.text-logo").removeClass('alt-color');
				$supermenu
					.removeClass('change-color')
					.removeClass(sm_menu_change_size);
			}
		});
	} 
// =============================================================================
// SUPERSIDE TOGGLE
// =============================================================================
	$(function () {
    $('.superside-open').on('click', function(event) {
      event.preventDefault();
      alert('what');
      $superside.removeClass('is-visible');
    });
	});

// =============================================================================
// TOGGLES $superside ON $superside_toggler CLICK EVENT
// =============================================================================
	$(function () {
		$superside_toggler.on('click', function (event) {
			event.preventDefault();
			event.stopPropagation();
			$superside_toggler.toggleClass('ssclose');
			$superside.toggleClass('is-visible');
			$('body.superside-enabled').toggleClass('superside-open');
		});
	});
	
	
	$(function () {
		$superside_toggler.on("tap",function(event){
			event.preventDefault();
			event.stopPropagation();
			$superside_toggler.toggleClass('ssclose');
			$superside.toggleClass('is-visible');
			$('body.superside-enabled').toggleClass('superside-open');
		});
	});

	$(function () {
		$('.ss-inner-close').on('click', function (event) {
			event.preventDefault();
			event.stopPropagation();
			$superside_toggler.toggleClass('ssclose');
			$superside.toggleClass('is-visible');
			$('body.superside-enabled').toggleClass('superside-open');
		});
	});


// =============================================================================
// TOGGLES $superside ON $body CLICK EVENT
// =============================================================================
	$('body.superside-enabled').click(function(event) {
			$superside_toggler.removeClass('ssclose');
			$superside.removeClass('is-visible');
			$('body.superside-enabled').removeClass('superside-open');
	});
	
	$('.superside').click(function(event){
	    event.stopPropagation();
	});
	
	$("body.superside-enabled").on("tap",function(event){

			$superside_toggler.removeClass('ssclose');
			$superside.removeClass('is-visible');
			$('body.superside-enabled').removeClass('superside-open');
	});
	$(".superside").on("tap",function(event){
	  event.stopPropagation();
	});
	
// =============================================================================
// HIDES $superside ON $body TAP EVENT (Mobile)
/* =============================================================================
	$(function(){
	  $('body.superside-open' ).bind( 'tap', tapHandler );
		function tapHandler( event ){
			$( event.target ).removeClass( 'superside-enabled' );
			$('.superside').removeClass('is-visible');
		}
	});
   
// =============================================================================
// HIDES $superside ON RIGHT SWIPE EVENT (Mobile)
// =============================================================================
	$('body.superside-open').swipe({
		tap:function(event, direction, distance, duration, fingerCount) {
		$('.superside-toggler').removeClass('ssclose');
		$('.superside').removeClass('is-visible');
		$('body.superside-enabled').removeClass('superside-open');
		}
	});*/
	
// =============================================================================
// TOPMENU NOT VISIBLE ON LOAD
// =============================================================================
	if (sm_visible_load == false) {
		$('.topmenu-toggler').on('click', function(e) {
			$supermenu.toggleClass("is-hidden");
			$('.topmenu-toggler').toggleClass("ssclose");
		});
	}

// =============================================================================
// TOPMENU CONTAINER TOGGLER
// =============================================================================
	if (sm_change_menu_width == true && sm_new_menu_width == 'full_width_then_container') {
		$(window).scroll(function() {    
			var scroll = $(window).scrollTop();
			if (scroll >= sm_effect_triggerpoint) {
				$(".no-container").addClass('container');
			} else {
				$(".no-container").removeClass('container');
			}
		});
	} 
	else if (sm_change_menu_width == true && sm_new_menu_width == 'container_then_full_width') { 
		$(window).scroll(function() {    
			var scroll = $(window).scrollTop();
			if (scroll >= sm_effect_triggerpoint) {
				$(".supermenu > div").removeClass('container');
				$(".supermenu > div").addClass('no-container');
			} else {
				$(".supermenu > div").addClass('container');
				$(".supermenu > div").removeClass('no-container');
			}
		});
	}
	
// =============================================================================
// TOPMENU PADDING CONFIG
// =============================================================================
	if (sm_fixed_menu == true && sm_menu_configura_padding == 'automatic' && sm_after_fixed_menu == 'fixed_basic' && sm_visible_load == true) {
		$body.animate({ paddingTop: $navHeight });
	}
	else if (sm_fixed_menu == true && sm_menu_configura_padding == 'automatic' && sm_after_fixed_menu == 'visible_up' && sm_visible_load == true) {
		$body.animate({ paddingTop: $navHeight });
	}
	else if (sm_fixed_menu == true && sm_menu_configura_padding == 'automatic' && sm_after_fixed_menu == 'fixed_basic' && sm_visible_load == false) {
		$body.animate({ paddingTop: 0 });
	}
	
	/*
     Internet Explorer sniffer code to add class to body tag for IE version.
     Can be removed if your using something like Modernizr.
 */
 var ie = (function ()
 {
 
     var undef,
     v = 3,
         div = document.createElement('div'),
         all = div.getElementsByTagName('i');
 
     while (
     div.innerHTML = '<!--[if gt IE ' + (++v) + ']><i></i>< ![endif]-->',
     all[0]);
 
     //append class to body for use with browser support
     if (v > 4)
     {
         $('body').addClass('ie' + v);
     }
 
 }());


});