<?php
// =============================================================================
// Variables use across Supermenu
// =============================================================================
global $supermenu;

// TOP MENU
// =============================================================================
$active_menu 									= (isset($supermenu['sm-active-menu'])) ? $supermenu['sm-active-menu'] : '';
$top_menu											= $supermenu['sm-top-menu'];
$container										= ($supermenu['sm-container-type'] == false ) ? 'container' : '';
$menu_style										= $supermenu['sm-menu-style'];
$topmenu_logo_control					= $supermenu['sm-topmenu-logo-control'];
$top_shadow_status						= ($supermenu['sm-menu-shadow'] == true ) ? 'shadow' :'';
$top_shadow_size							= $supermenu['sm-menu-shadow-size'];
$menu_animation 							= $supermenu['sm-menu-animation'];
$if_topmenu_hidden						= ($supermenu['sm-visible-load'] == false) ? 'is-hidden' : '';
$topmenu_link_effect					= $supermenu['sm-top-menu-link-hover'];
$topmenu_menu_items						= $supermenu['sm-topmenu-menu-items'];
$topmenu_smdropdown_trigger		= 'smdropdown-on-hover';

// TOP MENU EFFECTS
// =============================================================================
$sm_effect_triggerpoint				= ($supermenu['sm-fixed-menu'] == true) ? $supermenu['sm-menu-effect-triggerpoint'] : '';
$change_color									= ($supermenu['sm-change-menu-color'] ==  true) ? 'change-style' : '';

// TOP MENU LOGO
// =============================================================================
$topmenu_logo_type						= $supermenu['sm-tm-logo-type'];
$logo_animation 							= $supermenu['sm-logo-animation']; 
$logo 												= ($supermenu['sm-logo']['url'] == NULL) ? get_bloginfo('name') : '<img class="logo-img animated ' . $logo_animation . '" src="' . $supermenu['sm-logo']['url'] . '">';
$logo_alt 										= ($supermenu['sm-logo-alt']['url'] == NULL) ? get_bloginfo('name') : '<img class="logo-img logo-img-alt animated ' . $logo_animation . '" src="' . $supermenu['sm-logo-alt']['url'] . '">';
$menu_items_amim 							= $supermenu['sm-mitems-anim']; 
$topmenu_text_logo						= $supermenu['sm-text-logo'];
$topmenu_tgl_size							= $supermenu['sm-tm-tgl-icon-size'];

// TOP MENU ITEMS
// =============================================================================
$navbar_pos										= ($menu_style == 'style_1' ? 'navbar-right' : 'navbar-center');

// SUPERSIDE MENU
// =============================================================================
$superside_menu								= $supermenu['sm-superside-menu'];
$superside_layout							= $supermenu['sm-superside-layout'];
$superside_aside_dir					= ($superside_layout == 'superside-is-aside' ? $supermenu['sm-superside-aside-out'] : ' ');
$superside_logo_type					= $supermenu['sm-ss-logo-type'];
$superside_text_logo					= $supermenu['sm-ss-text-logo'];
$superside_icon_position			= 'inside-topmenu';
$superside_logo_control				= $supermenu['sm-superside-logo-control'];
$superside_logo								= '<img class="superside-logo img-responsive" src="' . $supermenu['sm-superside-logo']['url'] . '">';
$fixed_superside_icon					= ($supermenu['sm-fixed-superside-icon'] == true ? 'fixed-superside-icon' : '');
$supermenu_logo_align					= $supermenu['sm-superside-logo-align'];
$superside_menu_item_align		= $supermenu['sm-superside-menu-items-align'];
$superside_copy_align					= $supermenu['sm-superside-copyrights-align'];
$superside_tgl_size						= $supermenu['sm-ss-tgl-icon-size'];
$superside_separator_height		= $supermenu['sm-ss-separator-height'];

// CLASSES
// =============================================================================
$outer_wrapper 								= 'sm-outer-wrapper ' . $supermenu['sm-outer-wrapper'];
if ($supermenu['sm-change-menu-width'] == true && $supermenu['sm-new-menu-width'] == 'full_width_then_container') {
	$container									= 'no-container';
}
$inner_wrapper 								= $container . ' ' . $supermenu['sm-inner-wrapper'];
$top_menu_classes							= $menu_animation  . ' ' . $top_shadow_status . ' ' . $top_shadow_size . ' ' . $menu_style . ' ' . $if_topmenu_hidden . ' ' . $topmenu_smdropdown_trigger;
$superside_classes						= $supermenu_logo_align . ' ' . $superside_layout . ' ' . $superside_aside_dir . ' ' . $superside_menu_item_align . ' ' . $superside_copy_align;